CancelSandboxCommandDetails¶
-
class
oci.generative_ai_sandbox.models.CancelSandboxCommandDetails(**kwargs)¶ Bases:
objectRequest body used to cancel a sandbox command.
Attributes
SIGNAL_SIGKILLA constant which can be used with the signal property of a CancelSandboxCommandDetails. SIGNAL_SIGTERMA constant which can be used with the signal property of a CancelSandboxCommandDetails. signalGets the signal of this CancelSandboxCommandDetails. Methods
__init__(**kwargs)Initializes a new CancelSandboxCommandDetails object with values from keyword arguments. -
SIGNAL_SIGKILL= 'SIGKILL'¶ A constant which can be used with the signal property of a CancelSandboxCommandDetails. This constant has a value of “SIGKILL”
-
SIGNAL_SIGTERM= 'SIGTERM'¶ A constant which can be used with the signal property of a CancelSandboxCommandDetails. This constant has a value of “SIGTERM”
-
__init__(**kwargs)¶ Initializes a new CancelSandboxCommandDetails object with values from keyword arguments. The following keyword arguments are supported (corresponding to the getters/setters of this class):
Parameters: signal (str) – The value to assign to the signal property of this CancelSandboxCommandDetails. Allowed values for this property are: “SIGTERM”, “SIGKILL”
-
signal¶ Gets the signal of this CancelSandboxCommandDetails. Signal to send to the running command.
Allowed values for this property are: “SIGTERM”, “SIGKILL”
Returns: The signal of this CancelSandboxCommandDetails. Return type: str
-